* {
    box-sizing: border-box;
    font-family:
        system-ui, "Segoe UI", Roboto, Helvetica, Arial, sans-serif,
        "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 16px;
}
html {
    min-height: 100%;
    width: 100%;
}
body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100%;
    background-color: #0e1017;
    background: url("/assets/providers/null_background.png") no-repeat center
        center;
    background-size: cover;
    margin: 0;
    position: relative;
}
.content {
    position: relative;
    z-index: 2;
    max-width: 400px;
    width: 100%;
    margin: 50px auto 100px auto;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.15);
    padding: 25px;
}
.content h1 {
    text-align: center;
    font-size: 24px;
    font-weight: 500;
    margin: 0 0 15px 0;
    color: #3b4252;
}
.content h1 .icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    background-color: #9196a5;
    margin-left: 5px;
    font-size: 14px;
}
.content h1 .icon svg {
    fill: #fff;
}
.content .login-txt {
    margin: 0;
    padding: 15px 0 25px 0;
    color: #3b4252;
}
.google-login-btn {
    box-shadow: 0px 0px 1px 10px #3332;
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 14px;
    font-weight: 500;
    color: #fff;
    width: 400px;
    max-width: 400px;
    overflow: hidden;
    border-radius: 5px;
    background-color: #d6523e;
    cursor: pointer;
}
.google-login-btn .icon {
    display: inline-flex;
    height: 100%;
    padding: 15px 20px;
    align-items: center;
    justify-content: center;
    background-color: #cf412c;
    margin-right: 15px;
}
.google-login-btn .icon svg {
    fill: #fff;
}
.google-login-btn:hover {
    background-color: #d44a36;
}
.google-login-btn:hover .icon {
    background-color: #c63f2a;
}
.content .profile-picture {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 15px 0 25px 0;
}
.content .profile-picture img {
    width: 100%;
    max-width: 100px;
    border-radius: 50%;
}
.content .profile-details {
    display: flex;
    flex-flow: column;
    padding: 10px 0;
}
.content .profile-details > div {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #f1f2f5;
    margin-bottom: 15px;
    padding-bottom: 15px;
}
.content .profile-details > div .icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background-color: #9196a5;
    margin-right: 15px;
    font-size: 14px;
}
.content .profile-details > div .icon svg {
    fill: #fff;
}
.content .profile-details > div strong {
    display: block;
    font-size: 14px;
    font-weight: 500;
}
.content .profile-details > div:last-child {
    border-bottom: none;
}
.content .logout-btn {
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    font-weight: 500;
    color: #fff;
    width: 100%;
    overflow: hidden;
    border-radius: 5px;
    background-color: #db5d36;
    cursor: pointer;
}
.content .logout-btn .icon {
    display: inline-flex;
    height: 100%;
    padding: 15px 20px;
    align-items: center;
    justify-content: center;
    background-color: #d24e26;
    margin-right: 15px;
}
.content .logout-btn .icon svg {
    fill: #fff;
}
.content .logout-btn:hover {
    background-color: #d9562d;
}
.content .logout-btn:hover .icon {
    background-color: #c94b24;
}

.timeClock {
    width: 100%;
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;
}

.timeBreakClock {
    width: 100%;
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;
}

.actionsButtons {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    margin-bottom: 20px;
    margin-top: 0px;
}

.actionsButtons .actionLogin {
    display: inline-block;
    width: 100%;
    background: rgb(9, 165, 9);
    color: white;
    text-align: center;
    padding: 20px;
    margin: 1.25rem;
    cursor: pointer;
    border-radius: 5px;
    font-weight: bold;
    text-transform: uppercase;
}

.actionsButtons .actionBreakStart {
    display: block;
    width: 100%;
    background: rgb(9, 165, 100);
    color: white;
    text-align: center;
    padding: 20px;
    margin: 1.25rem;
    cursor: pointer;
    border-radius: 5px;
    font-weight: bold;
    text-transform: uppercase;
}

.actionsButtons .actionBreakEnd {
    display: block;
    width: 100%;
    background: #a87d2d;
    color: white;
    text-align: center;
    padding: 20px;
    margin: 1.25rem;
    cursor: pointer;
    border-radius: 5px;
    font-weight: bold;
    text-transform: uppercase;
}

.actionsButtons .actionLogout {
    display: inline-block;
    width: 100%;
    background: red;
    color: white;
    text-align: center;
    padding: 20px;
    margin: 1.25rem;
    cursor: pointer;
    border-radius: 5px;
    font-weight: bold;
    text-transform: uppercase;
}

.actionsList {
    margin-top: 0px;
    margin-bottom: 30px;
}

.actionsList table {
    width: 100%;
}

.actionsList td {
    text-align: center;
}

.actionsAdminsReports {
    margin-bottom: 30px;
    width: 100%;
    text-align: center;
    padding: 20px;
    background: #656ded;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    border-radius: 5px;
    cursor: pointer;
}

.logoProvider {
    position: absolute;
    z-index: 1;
    bottom: 20px;
    right: 20px;
    max-height: 40px;
}

.logoLogin {
    position: absolute;
    z-index: 1;
    bottom: 20px;
    right: 20px;
    max-height: 40px;
}

.supportIcon {
    position: absolute;
    right: 20px;
    color: #808080;
}

.custom_options {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}
.custom_options > div {
    flex: 1 1;
    padding: 10px;
    margin-left: 5px;
    margin-right: 5px;
    border-radius: 5px;
    text-align: center;
    font-weight: bold;
    cursor: pointer;
    background: #fff;
    border: solid 1px #ccc;
}

@media screen and (max-width: 800px) {
    .google-login-btn {
        width: 80%;
    }
    .logoProvider {
        right: 0;
        left: 0;
        width: 100%;
        height: 20px;
    }

    .logoLogin {
        right: 0;
        left: 0;
        width: 100%;
        height: 20px;
    }
}

@media screen and (max-height: 850px) {
    .logoProvider {
        display: none;
    }
}
